Debian Bug report logs - #677173
after some time, some keyboard no longer works in the current X session

version graph

Package: xserver-xorg-input-evdev; Maintainer for xserver-xorg-input-evdev is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-input-evdev is src:xserver-xorg-input-evdev.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Tue, 12 Jun 2012 02:15:01 UTC

Severity: important

Merged with 677242

Found in version xserver-xorg-input-evdev/1:2.7.0-1

Forwarded to https://bugs.freedesktop.org/52611

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677173; Package linux-2.6. (Tue, 12 Jun 2012 02:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Jun 2012 02:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.2.0-2-amd64: after some time, the USB keyboard no longer works
Date: Tue, 12 Jun 2012 04:12:58 +0200
Package: linux-2.6
Version: 3.2.19-1
Severity: normal

I have a USB keyboard attached to my laptop, and I use it as the main
keyboard. I was using it, and suddenly it no longer worked at all (for
instance, xev didn't report any event). The device was still seen by
/lib/udev/findkeyboards and by lsusb. And the laptop keyboard was
still working. I had to unplug the keyboard and plug it in again so
that keys worked again (I also had to log out and log in again to make
special keys work, due to some X window bug I think).

I've had this problem twice: now and a week ago. Never before, AFAIK.

-- Package-specific info:
** Version:
Linux version 3.2.0-2-amd64 (Debian 3.2.19-1) (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-1) ) #1 SMP Fri Jun 1 17:49:08 UTC 2012

** Command line:
root=/dev/mapper/xvii-root ro quiet

** Not tainted

** Kernel log:
[   14.021601] [drm] No driver support for vblank timestamp query.
[   14.280735] [drm] nouveau 0000:01:00.0: allocated 1920x1200 fb: 0x310000, bo ffff8801173ca400
[   14.280811] fbcon: nouveaufb (fb0) is primary device
[   14.350522] dell_wmi: Received unknown WMI event (0x11)
[   14.350911] ieee80211 phy0: Selected rate control algorithm 'iwl-agn-rs'
[   15.635824] Console: switching to colour frame buffer device 180x56
[   15.638782] fb0: nouveaufb frame buffer device
[   15.638784] drm: registered panic notifier
[   15.638790] [drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
[   15.659407] dell_wmi: Received unknown WMI event (0x11)
[   15.673207] Linux media interface: v0.10
[   15.685220] Linux video capture interface: v2.00
[   15.696289] uvcvideo: Found UVC 1.00 device Laptop_Integrated_Webcam_0.3M (0c45:63f8)
[   15.710556] input: Laptop_Integrated_Webcam_0.3M as /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input12
[   15.710642] usbcore: registered new interface driver uvcvideo
[   15.710643] USB Video Class driver (1.1.1)
[   16.083118] snd_hda_intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
[   16.083183] snd_hda_intel 0000:00:1b.0: irq 47 for MSI/MSI-X
[   16.083214] snd_hda_intel 0000:00:1b.0: setting latency timer to 64
[   16.125200] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input13
[   16.133558] input: HDA Intel Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input14
[   16.134192] input: HDA Intel Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input15
[   16.134256] input: HDA Intel Line-out as /devices/pci0000:00/0000:00:1b.0/sound/card0/input16
[   16.134322] input: HDA Intel Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input17
[   18.103663] EXT3-fs (dm-1): using internal journal
[   18.827458] loop: module loaded
[   19.740703] Adding 9928700k swap on /dev/mapper/xvii-swap_1.  Priority:-1 extents:1 across:9928700k 
[   45.752208] RPC: Registered named UNIX socket transport module.
[   45.752211] RPC: Registered udp transport module.
[   45.752212] RPC: Registered tcp transport module.
[   45.752214] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   45.844166] FS-Cache: Loaded
[   45.941845] FS-Cache: Netfs 'nfs' registered for caching
[   45.961493] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   46.428063] fuse init (API version 7.17)
[   49.421265] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input18
[   61.767196] Bluetooth: Core ver 2.16
[   61.767214] NET: Registered protocol family 31
[   61.767216] Bluetooth: HCI device and connection manager initialized
[   61.767219] Bluetooth: HCI socket layer initialized
[   61.767221] Bluetooth: L2CAP socket layer initialized
[   61.767225] Bluetooth: SCO socket layer initialized
[   61.819402] Bluetooth: RFCOMM TTY layer initialized
[   61.819407] Bluetooth: RFCOMM socket layer initialized
[   61.819408] Bluetooth: RFCOMM ver 1.11
[   62.319024] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   62.319027] Bluetooth: BNEP filters: protocol multicast
[   62.358534] lp: driver loaded but no devices found
[   62.528985] ppdev: user-space parallel port driver
[   67.500114] ip_tables: (C) 2000-2006 Netfilter Core Team
[   69.942284] e1000e 0000:00:19.0: irq 44 for MSI/MSI-X
[   69.996104] e1000e 0000:00:19.0: irq 44 for MSI/MSI-X
[   69.996701] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   71.684922] e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
[   71.684927] e1000e 0000:00:19.0: eth0: 10/100 speed: disabling TSO
[   71.685425] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   72.730118] device eth0 entered promiscuous mode
[   81.944042] eth0: no IPv6 routers present
[   82.731861] device eth0 left promiscuous mode
[   87.840697] colord[3180]: segfault at 8 ip 000000000040bc6d sp 00007fff52e38460 error 4 in colord[400000+20000]
[  105.682555] dell_wmi: Received unknown WMI event (0x11)
[  136.408062] CE: hpet increased min_delta_ns to 20113 nsec
[99913.293662] usb 8-3.3: USB disconnect, device number 4
[99930.132248] usb 8-3.3: new low-speed USB device number 5 using ehci_hcd
[99930.230558] usb 8-3.3: New USB device found, idVendor=046d, idProduct=c00f
[99930.230568] usb 8-3.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[99930.230575] usb 8-3.3: Product: USB-PS/2 Optical Mouse
[99930.230580] usb 8-3.3: Manufacturer: Logitech
[99930.235250] input: Logitech USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.3/8-3.3:1.0/input/input19
[99930.235808] generic-usb 0003:046D:C00F.0004: input,hidraw2: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.7-3.3/input0
[99937.102950] usb 8-3: USB disconnect, device number 2
[99937.102959] usb 8-3.2: USB disconnect, device number 3
[99937.160314] usb 8-3.3: USB disconnect, device number 5
[99938.724384] usb 8-3: new high-speed USB device number 6 using ehci_hcd
[99938.866106] usb 8-3: New USB device found, idVendor=05ac, idProduct=1006
[99938.866116] usb 8-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[99938.866123] usb 8-3: Product: Keyboard Hub
[99938.866128] usb 8-3: Manufacturer: Apple, Inc.
[99938.866133] usb 8-3: SerialNumber: 000000000000
[99938.866772] hub 8-3:1.0: USB hub found
[99938.866865] hub 8-3:1.0: 3 ports detected
[99939.136382] usb 8-3.2: new low-speed USB device number 7 using ehci_hcd
[99939.235917] usb 8-3.2: New USB device found, idVendor=05ac, idProduct=0221
[99939.235927] usb 8-3.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[99939.235934] usb 8-3.2: Product: Apple Keyboard
[99939.235939] usb 8-3.2: Manufacturer: Apple, Inc
[99939.241010] input: Apple, Inc Apple Keyboard as /devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.2/8-3.2:1.0/input/input20
[99939.241418] apple 0003:05AC:0221.0005: input,hidraw0: USB HID v1.11 Keyboard [Apple, Inc Apple Keyboard] on usb-0000:00:1d.7-3.2/input0
[99939.244883] input: Apple, Inc Apple Keyboard as /devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.2/8-3.2:1.1/input/input21
[99939.245216] apple 0003:05AC:0221.0006: input,hidraw1: USB HID v1.11 Device [Apple, Inc Apple Keyboard] on usb-0000:00:1d.7-3.2/input1
[99939.316294] usb 8-3.3: new low-speed USB device number 8 using ehci_hcd
[99939.413994] usb 8-3.3: New USB device found, idVendor=046d, idProduct=c00f
[99939.413999] usb 8-3.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[99939.414003] usb 8-3.3: Product: USB-PS/2 Optical Mouse
[99939.414005] usb 8-3.3: Manufacturer: Logitech
[99939.418097] input: Logitech USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.3/8-3.3:1.0/input/input22
[99939.418240] generic-usb 0003:046D:C00F.0007: input,hidraw2: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.7-3.3/input0
[100016.741560] dell_wmi: Received unknown WMI event (0x11)
[100025.013436] colord[9416]: segfault at 8 ip 000000000040bc6d sp 00007fffa8f53630 error 4 in colord[400000+20000]
[100041.159902] dell_wmi: Received unknown WMI event (0x11)

** Model information
sys_vendor: Dell Inc.
product_name: Latitude E6400                  
product_version: 
chassis_vendor: Dell Inc.
chassis_version: 
bios_vendor: Dell Inc.
bios_version: A12
board_vendor: Dell Inc.
board_name: 0K672N
board_version:    

** Loaded modules:
acpi_cpufreq
mperf
cpufreq_powersave
cpufreq_stats
cpufreq_userspace
cpufreq_conservative
xt_multiport
iptable_filter
ip_tables
x_tables
parport_pc
ppdev
lp
parport
bnep
rfcomm
bluetooth
crc16
binfmt_misc
uinput
fuse
nfsd
nfs
nfs_acl
auth_rpcgss
fscache
lockd
sunrpc
ext2
coretemp
firewire_sbp2
loop
snd_hda_codec_idt
snd_hda_intel
snd_hda_codec
snd_hwdep
snd_pcm_oss
snd_mixer_oss
snd_pcm
uvcvideo
videodev
v4l2_compat_ioctl32
media
snd_page_alloc
arc4
snd_seq_midi
snd_seq_midi_event
nouveau
joydev
snd_rawmidi
snd_seq
pcmcia
mxm_wmi
iwlwifi
ttm
drm_kms_helper
drm
i2c_algo_bit
mac80211
yenta_socket
pcmcia_rsrc
snd_seq_device
snd_timer
i2c_i801
i2c_core
snd
cfg80211
pcmcia_core
psmouse
soundcore
iTCO_wdt
iTCO_vendor_support
ac
processor
battery
evdev
serio_raw
dell_laptop
rfkill
button
video
dell_wmi
power_supply
pcspkr
dcdbas
sparse_keymap
wmi
ext3
mbcache
jbd
sha256_generic
cryptd
aes_x86_64
aes_generic
cbc
dm_crypt
dm_mod
sd_mod
crc_t10dif
sr_mod
cdrom
hid_apple
usbhid
hid
firewire_ohci
ahci
libahci
thermal
thermal_sys
sdhci_pci
sdhci
uhci_hcd
mmc_core
firewire_core
crc_itu_t
libata
ehci_hcd
scsi_mod
e1000e
usbcore
usb_common

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 07)
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation Mobile 4 Series Chipset PCI Express Graphics Port [8086:2a41] (rev 07) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: f2000000-f6efffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:19.0 Ethernet controller [0200]: Intel Corporation 82567LM Gigabit Network Connection [8086:10f5] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 44
	Region 0: Memory at f6fe0000 (32-bit, non-prefetchable) [size=128K]
	Region 1: Memory at f6fdb000 (32-bit, non-prefetchable) [size=4K]
	Region 2: I/O ports at efe0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

00:1a.0 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 6f60 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.1 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 [8086:2938] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 6f80 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.2 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 6fa0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1a.7 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at fed1c400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 47
	Region 0: Memory at f6fdc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: f0600000-f07fffff
	Prefetchable memory behind bridge: 00000000f0800000-00000000f09fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0c, subordinate=0c, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: f1f00000-f1ffffff
	Prefetchable memory behind bridge: 00000000f0400000-00000000f05fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 [8086:2944] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0d, subordinate=0d, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f0000000-f01fffff
	Prefetchable memory behind bridge: 00000000f0200000-00000000f03fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 6f00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.1 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 6f20 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.2 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 6f40 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: uhci_hcd

00:1d.7 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at fed1c000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=03, subordinate=07, sec-latency=32
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f1e00000-f1efffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M-E LPC Interface Controller [8086:2917] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 RAID bus controller [0104]: Intel Corporation 82801 Mobile SATA Controller [RAID mode] [8086:282a] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 45
	Region 0: I/O ports at 6e70 [size=8]
	Region 1: I/O ports at 6e78 [size=4]
	Region 2: I/O ports at 6e80 [size=8]
	Region 3: I/O ports at 6e88 [size=4]
	Region 4: I/O ports at 6ea0 [size=32]
	Region 5: Memory at fed1c800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 03)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 0: Memory at f6fdaf00 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 1100 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G98M [Quadro NVS 160M] [10de:06eb] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at f2000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at df00 [size=128]
	[virtual] Expansion ROM at f4000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau

03:01.0 CardBus bridge [0607]: Ricoh Co Ltd RL5c476 II [1180:0476] (rev ba)
	Subsystem: Dell Device [1028:0233]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at fc000000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=03, secondary=04, subordinate=07, sec-latency=176
	Memory window 0: f0c00000-f0ffffff (prefetchable)
	Memory window 1: f1000000-f13fffff
	I/O window 0: 00002400-000024ff
	I/O window 1: 00002000-000020ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

03:01.1 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 04) (prog-if 10 [OHCI])
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f1eff800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

03:01.2 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 21) (prog-if 01)
	Subsystem: Dell Device [1028:0233]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f1eff700 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

0c:00.0 Network controller [0280]: Intel Corporation Ultimate N WiFi Link 5300 [8086:4235]
	Subsystem: Intel Corporation Device [8086:1121]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 46
	Region 0: Memory at f1ffe000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlwifi


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 0c45:63f8 Microdia Sonix Integrated Webcam
Bus 004 Device 002: ID 0a5c:5800 Broadcom Corp. BCM5880 Secure Applications Processor
Bus 008 Device 006: ID 05ac:1006 Apple, Inc. Hub in Aluminum Keyboard
Bus 008 Device 007: ID 05ac:0221 Apple, Inc. Aluminum Keyboard (ISO)
Bus 008 Device 008: ID 046d:c00f Logitech, Inc. MouseMan Traveler/Mobile


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.2.0-2-amd64 depends on:
ii  debconf [debconf-2.0]                   1.5.43
ii  initramfs-tools [linux-initramfs-tool]  0.106
ii  kmod                                    8-2
ii  linux-base                              3.5
ii  module-init-tools                       8-2

Versions of packages linux-image-3.2.0-2-amd64 recommends:
ii  firmware-linux-free  3

Versions of packages linux-image-3.2.0-2-amd64 suggests:
pn  grub-pc | extlinux | lilo  <none>
ii  linux-doc-3.2              3.2.19-1

Versions of packages linux-image-3.2.0-2-amd64 is related to:
pn  firmware-atheros        <none>
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      <none>
pn  firmware-intelwimax     <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
ii  firmware-iwlwifi        0.35
pn  firmware-libertas       <none>
pn  firmware-linux          <none>
pn  firmware-linux-nonfree  <none>
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  firmware-realtek        <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.2.0-2-amd64/postinst/ignoring-ramdisk:
  linux-image-3.2.0-2-amd64/postinst/depmod-error-initrd-3.2.0-2-amd64: false
  linux-image-3.2.0-2-amd64/postinst/missing-firmware-3.2.0-2-amd64:
  linux-image-3.2.0-2-amd64/prerm/removing-running-kernel-3.2.0-2-amd64: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677173; Package linux-2.6. (Tue, 12 Jun 2012 02:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Jun 2012 02:42:06 GMT) Full text and rfc822 format available.

Message #10 received at 677173@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 677173@bugs.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Mon, 11 Jun 2012 21:39:29 -0500
Hi,

Vincent Lefevre wrote:

> I have a USB keyboard attached to my laptop, and I use it as the main
> keyboard. I was using it, and suddenly it no longer worked at all (for
> instance, xev didn't report any event). The device was still seen by
> /lib/udev/findkeyboards and by lsusb. And the laptop keyboard was
> still working. I had to unplug the keyboard and plug it in again so
> that keys worked again (I also had to log out and log in again to make
> special keys work, due to some X window bug I think).
>
> I've had this problem twice: now and a week ago. Never before, AFAIK.

Peculiar.  Do you have a kernel log from when this happened?  Can you
attach "lsusb -v" output describing your keyboard in its normal state?

Thanks for writing and sorry for the trouble,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677173; Package linux-2.6. (Tue, 12 Jun 2012 08:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Jun 2012 08:03:11 GMT) Full text and rfc822 format available.

Message #15 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 677173@bugs.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Tue, 12 Jun 2012 09:58:30 +0200
On 2012-06-11 21:39:29 -0500, Jonathan Nieder wrote:
> Hi,
> 
> Vincent Lefevre wrote:
> 
> > I have a USB keyboard attached to my laptop, and I use it as the main
> > keyboard. I was using it, and suddenly it no longer worked at all (for
> > instance, xev didn't report any event). The device was still seen by
> > /lib/udev/findkeyboards and by lsusb. And the laptop keyboard was
> > still working. I had to unplug the keyboard and plug it in again so
> > that keys worked again (I also had to log out and log in again to make
> > special keys work, due to some X window bug I think).
> >
> > I've had this problem twice: now and a week ago. Never before, AFAIK.
> 
> Peculiar.  Do you have a kernel log from when this happened?

There is nothing in the kernel log (only when I unplug / plug the
keyboard).

> Can you attach "lsusb -v" output describing your keyboard in its
> normal state?

Bus 008 Device 007: ID 05ac:0221 Apple, Inc. Aluminum Keyboard (ISO)
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x05ac Apple, Inc.
  idProduct          0x0221 Aluminum Keyboard (ISO)
  bcdDevice            0.69
  iManufacturer           1 Apple, Inc
  iProduct                2 Apple Keyboard
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           59
    bNumInterfaces          2
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower               20mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      1 Keyboard
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode           13 International (ISO)
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      75
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval              10
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      0 No Subclass
      bInterfaceProtocol      0 None
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      47
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval              10
Device Status:     0x0000
  (Bus Powered)

The keyboard has a USB hub:

Bus 008 Device 006: ID 05ac:1006 Apple, Inc. Hub in Aluminum Keyboard
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         1 Single TT
  bMaxPacketSize0        64
  idVendor           0x05ac Apple, Inc.
  idProduct          0x1006 Hub in Aluminum Keyboard
  bcdDevice           94.15
  iManufacturer           1 Apple, Inc.
  iProduct                2 Keyboard Hub
  iSerial                 3 000000000000
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           25
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower              300mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         9 Hub
      bInterfaceSubClass      0 Unused
      bInterfaceProtocol      0 Full speed (or root) hub
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0001  1x 1 bytes
        bInterval              12
Hub Descriptor:
  bLength               9
  bDescriptorType      41
  nNbrPorts             3
  wHubCharacteristic 0x008d
    Per-port power switching
    Compound device
    Per-port overcurrent protection
    TT think time 8 FS bits
    Port indicators
  bPwrOn2PwrGood       50 * 2 milli seconds
  bHubContrCurrent    200 milli Ampere
  DeviceRemovable    0x04
  PortPwrCtrlMask    0xff
 Hub Port Status:
   Port 1: 0000.0100 power
   Port 2: 0000.0303 lowspeed power enable connect
   Port 3: 0000.0303 lowspeed power enable connect
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            9 Hub
  bDeviceSubClass         0 Unused
  bDeviceProtocol         0 Full speed (or root) hub
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0000
  (Bus Powered)

A mouse was attached to this hub and was still working when the
keyboard was no longer working.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677173; Package linux-2.6. (Tue, 12 Jun 2012 20:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Jun 2012 20:57:07 GMT) Full text and rfc822 format available.

Message #20 received at 677173@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 677173@bugs.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Tue, 12 Jun 2012 15:52:52 -0500
Vincent Lefevre wrote:
> On 2012-06-11 21:39:29 -0500, Jonathan Nieder wrote:

>> Peculiar.  Do you have a kernel log from when this happened?
>
> There is nothing in the kernel log (only when I unplug / plug the
> keyboard).

Do you mind showing a few lines of this nothing (i.e., a few lines
before and after), to provide something concrete for puzzled people to
stare at?  Even better would be full "dmesg" output from booting and
reproducing the bug.

Thanks,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677173; Package linux-2.6. (Tue, 12 Jun 2012 22:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 12 Jun 2012 22:24:05 GMT) Full text and rfc822 format available.

Message #25 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 677173@bugs.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Wed, 13 Jun 2012 00:21:21 +0200
[Message part 1 (text/plain, inline)]
On 2012-06-12 15:52:52 -0500, Jonathan Nieder wrote:
> Vincent Lefevre wrote:
> > There is nothing in the kernel log (only when I unplug / plug the
> > keyboard).
> 
> Do you mind showing a few lines of this nothing (i.e., a few lines
> before and after), to provide something concrete for puzzled people to
> stare at?

Before (from /var/log/kern.log):
[...]
Jun 11 00:05:36 xvii kernel: [   81.944042] eth0: no IPv6 routers present
Jun 11 00:05:37 xvii kernel: [   82.731861] device eth0 left promiscuous mode
Jun 11 00:05:42 xvii kernel: [   87.840697] colord[3180]: segfault at 8 ip 000000000040bc6d sp 00007fff52e38460 error 4 in colord[400000+20000]
Jun 11 00:06:00 xvii kernel: [  105.682555] dell_wmi: Received unknown WMI event (0x11)
Jun 11 00:06:31 xvii kernel: [  136.408062] CE: hpet increased min_delta_ns to 20113 nsec

The problem occurred at around 03:45. I first tried to unplug/replug
the mouse from the keyboard hub (03:49:28 / 03:49:45), then
unplugged/replugged the keyboard (03:49:52 / 03:49:53):

Jun 12 03:49:28 xvii kernel: [99913.293662] usb 8-3.3: USB disconnect, device number 4
Jun 12 03:49:45 xvii kernel: [99930.132248] usb 8-3.3: new low-speed USB device number 5 using ehci_hcd
Jun 12 03:49:45 xvii kernel: [99930.230558] usb 8-3.3: New USB device found, idVendor=046d, idProduct=c00f
Jun 12 03:49:45 xvii kernel: [99930.230568] usb 8-3.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun 12 03:49:45 xvii kernel: [99930.230575] usb 8-3.3: Product: USB-PS/2 Optical Mouse
Jun 12 03:49:45 xvii kernel: [99930.230580] usb 8-3.3: Manufacturer: Logitech
Jun 12 03:49:45 xvii kernel: [99930.235250] input: Logitech USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.3/8-3.3:1.0/input/input19
Jun 12 03:49:45 xvii kernel: [99930.235808] generic-usb 0003:046D:C00F.0004: input,hidraw2: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.7-3.3/input0
Jun 12 03:49:52 xvii kernel: [99937.102950] usb 8-3: USB disconnect, device number 2
Jun 12 03:49:52 xvii kernel: [99937.102959] usb 8-3.2: USB disconnect, device number 3
Jun 12 03:49:52 xvii kernel: [99937.160314] usb 8-3.3: USB disconnect, device number 5
Jun 12 03:49:53 xvii kernel: [99938.724384] usb 8-3: new high-speed USB device number 6 using ehci_hcd
Jun 12 03:49:53 xvii kernel: [99938.866106] usb 8-3: New USB device found, idVendor=05ac, idProduct=1006
Jun 12 03:49:53 xvii kernel: [99938.866116] usb 8-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jun 12 03:49:53 xvii kernel: [99938.866123] usb 8-3: Product: Keyboard Hub
Jun 12 03:49:53 xvii kernel: [99938.866128] usb 8-3: Manufacturer: Apple, Inc.
Jun 12 03:49:53 xvii kernel: [99938.866133] usb 8-3: SerialNumber: 000000000000
Jun 12 03:49:53 xvii kernel: [99938.866772] hub 8-3:1.0: USB hub found
Jun 12 03:49:53 xvii kernel: [99938.866865] hub 8-3:1.0: 3 ports detected
Jun 12 03:49:54 xvii kernel: [99939.136382] usb 8-3.2: new low-speed USB device number 7 using ehci_hcd
Jun 12 03:49:54 xvii kernel: [99939.235917] usb 8-3.2: New USB device found, idVendor=05ac, idProduct=0221
Jun 12 03:49:54 xvii kernel: [99939.235927] usb 8-3.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun 12 03:49:54 xvii kernel: [99939.235934] usb 8-3.2: Product: Apple Keyboard
Jun 12 03:49:54 xvii kernel: [99939.235939] usb 8-3.2: Manufacturer: Apple, Inc
Jun 12 03:49:54 xvii kernel: [99939.241010] input: Apple, Inc Apple Keyboard as /devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.2/8-3.2:1.0/input/input20
Jun 12 03:49:54 xvii kernel: [99939.241418] apple 0003:05AC:0221.0005: input,hidraw0: USB HID v1.11 Keyboard [Apple, Inc Apple Keyboard] on usb-0000:00:1d.7-3.2/input0
Jun 12 03:49:54 xvii kernel: [99939.244883] input: Apple, Inc Apple Keyboard as /devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.2/8-3.2:1.1/input/input21
Jun 12 03:49:54 xvii kernel: [99939.245216] apple 0003:05AC:0221.0006: input,hidraw1: USB HID v1.11 Device [Apple, Inc Apple Keyboard] on usb-0000:00:1d.7-3.2/input1
Jun 12 03:49:54 xvii kernel: [99939.316294] usb 8-3.3: new low-speed USB device number 8 using ehci_hcd
Jun 12 03:49:54 xvii kernel: [99939.413994] usb 8-3.3: New USB device found, idVendor=046d, idProduct=c00f
Jun 12 03:49:54 xvii kernel: [99939.413999] usb 8-3.3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun 12 03:49:54 xvii kernel: [99939.414003] usb 8-3.3: Product: USB-PS/2 Optical Mouse
Jun 12 03:49:54 xvii kernel: [99939.414005] usb 8-3.3: Manufacturer: Logitech
Jun 12 03:49:54 xvii kernel: [99939.418097] input: Logitech USB-PS/2 Optical Mouse as /devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.3/8-3.3:1.0/input/input22
Jun 12 03:49:54 xvii kernel: [99939.418240] generic-usb 0003:046D:C00F.0007: input,hidraw2: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb-0000:00:1d.7-3.3/input0

> Even better would be full "dmesg" output from booting and
> reproducing the bug.

Attached.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)
[dmesg.out (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677173; Package linux-2.6. (Wed, 13 Jun 2012 05:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Jun 2012 05:45:11 GMT) Full text and rfc822 format available.

Message #30 received at 677173@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 677173@bugs.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Wed, 13 Jun 2012 00:33:16 -0500
Hi again,

Vincent Lefevre wrote:
> On 2012-06-12 15:52:52 -0500, Jonathan Nieder wrote:

>> Even better would be full "dmesg" output from booting and
>> reproducing the bug.
>
> Attached.

Thanks for your help on this.  No clues, just as you guessed (but
thanks for the log).

I assume the X log does not say anything interesting, either, and
that even after switching to a VT the keyboard does not work when
this happens?

Since I'm out of ideas and I can't think of any Debian-specific
patch that would be relevant, I'd suggest contacting
linux-input@vger.kernel.org for hints.  They might be able to help you
get a trace with usbmon (of Documentation/usb/usbmon.txt fame), for
example.

Sorry I have no better ideas.

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677173; Package linux-2.6. (Sat, 16 Jun 2012 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jun 2012 09:15:18 GMT) Full text and rfc822 format available.

Message #35 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 677173@bugs.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sat, 16 Jun 2012 11:12:54 +0200
found 677173 3.2.20-1
thanks

Hi,

This has just occurred again with 3.2.20-1.

On 2012-06-13 00:33:16 -0500, Jonathan Nieder wrote:
> I assume the X log does not say anything interesting, either, and

No, nothing in the X log.

> that even after switching to a VT the keyboard does not work when
> this happens?

I haven't tried (I'll try next time, as I can switch to a VT from the
laptop keyboard). I doubt there is anything specific to X, though (in
particular since the laptop keyboard still works while the USB keyboard
doesn't).

> Since I'm out of ideas and I can't think of any Debian-specific
> patch that would be relevant, I'd suggest contacting
> linux-input@vger.kernel.org for hints.  They might be able to help you
> get a trace with usbmon (of Documentation/usb/usbmon.txt fame), for
> example.

I'll do that.

Thanks,

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Marked as found in versions 3.2.20-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sat, 16 Jun 2012 09:15:25 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-2.6' to 'src:linux'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 10:03:17 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.2.19-1 and 3.2.20-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 10:03:18 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.2.20-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 10:03:23 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/3.2.19-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 16 Jun 2012 10:03:23 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677173; Package src:linux. (Sun, 17 Jun 2012 09:33:31 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jun 2012 09:33:31 GMT) Full text and rfc822 format available.

Message #50 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 677173@bugs.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sun, 17 Jun 2012 11:31:40 +0200
On 2012-06-16 11:12:54 +0200, Vincent Lefevre wrote:
> On 2012-06-13 00:33:16 -0500, Jonathan Nieder wrote:
> > I assume the X log does not say anything interesting, either, and
> 
> No, nothing in the X log.
> 
> > that even after switching to a VT the keyboard does not work when
> > this happens?
> 
> I haven't tried (I'll try next time, as I can switch to a VT from the
> laptop keyboard).

The problem has just occurred again: the keyboard no longer works
from X. But it still works in a VT. If I run

  /lib/udev/keymap -i input/event1

from an xterm, the keyboard works for this command (but no longer
once I terminate it). If I quit the X session, a new X session is
started by gdm3, and the keyboard also works from this new X session.

Should this bug be reassigned to some other package?

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Severity set to 'important' from 'normal' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 17 Jun 2012 09:36:18 GMT) Full text and rfc822 format available.

Changed Bug title to 'after some time, the USB keyboard no longer works in the current X session' from 'linux-image-3.2.0-2-amd64: after some time, the USB keyboard no longer works' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 17 Jun 2012 09:36:58 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#677173; Package src:linux. (Sun, 17 Jun 2012 09:42:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 17 Jun 2012 09:42:27 GMT) Full text and rfc822 format available.

Message #59 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 677173@bugs.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sun, 17 Jun 2012 11:41:14 +0200
reassign 677173 xserver-xorg-input-evdev
found 677173 1:2.7.0-1+b1
thanks

On 2012-06-17 11:31:40 +0200, Vincent Lefevre wrote:
> Should this bug be reassigned to some other package?

Reassigned to xserver-xorg-input-evdev to be like Ubuntu:

  https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-evdev/+bug/1002951
  "keyboard input of 1st keyboard is ignored in X after a while"

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Bug reassigned from package 'src:linux' to 'xserver-xorg-input-evdev'. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 17 Jun 2012 09:42:32 GMT) Full text and rfc822 format available.

No longer marked as found in versions linux-2.6/3.2.19-1 and linux/3.2.20-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 17 Jun 2012 09:42:33 GMT) Full text and rfc822 format available.

Marked as found in versions xserver-xorg-input-evdev/1:2.7.0-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 17 Jun 2012 09:42:34 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Sun, 17 Jun 2012 13:06:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 17 Jun 2012 13:06:16 GMT) Full text and rfc822 format available.

Message #70 received at 677173@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 677173@bugs.debian.org
Cc: Vincent Lefevre <vincent@vinc17.net>, Wookey <wookey@wookware.org>
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sun, 17 Jun 2012 07:59:17 -0500
Hi,

On 2012-06-12, Vincent Lefevre wrote:

> I have a USB keyboard attached to my laptop, and I use it as the main
> keyboard. I was using it, and suddenly it no longer worked at all (for
> instance, xev didn't report any event). The device was still seen by
> /lib/udev/findkeyboards and by lsusb. And the laptop keyboard was
> still working. I had to unplug the keyboard and plug it in again so
> that keys worked again (I also had to log out and log in again to make
> special keys work, due to some X window bug I think).
>
> I've had this problem twice: now and a week ago. Never before, AFAIK.
[...]
> Bus 008 Device 007: ID 05ac:0221 Apple, Inc. Aluminum Keyboard (ISO)
[...]
> The keyboard has a USB hub:
[...]
> A mouse was attached to this hub and was still working when the
> keyboard was no longer working.

On 2012-06-17 Vincent Lefevre wrote:

> The problem has just occurred again: the keyboard no longer works
> from X. But it still works in a VT. If I run
>
>   /lib/udev/keymap -i input/event1
>
> from an xterm, the keyboard works for this command (but no longer
> once I terminate it). If I quit the X session, a new X session is
> started by gdm3, and the keyboard also works from this new X session.
[...]
> Reassigned to xserver-xorg-input-evdev to be like Ubuntu:
>
>   https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-evdev/+bug/1002951
>   "keyboard input of 1st keyboard is ignored in X after a while"

This is a contentless reply to let the Debian X maintainers know about
their new bug. :)  Please feel free to reassign back to the kernel if
the cause seems to be there.

Thanks.

Ciao,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Sun, 17 Jun 2012 14:09:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 17 Jun 2012 14:09:15 GMT) Full text and rfc822 format available.

Message #75 received at 677173@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 677173@bugs.debian.org
Cc: Vincent Lefevre <vincent@vinc17.net>, Wookey <wookey@wookware.org>
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sun, 17 Jun 2012 16:07:32 +0200
[Message part 1 (text/plain, inline)]
Jonathan Nieder <jrnieder@gmail.com> (17/06/2012):
> This is a contentless reply to let the Debian X maintainers know about
> their new bug. :)  Please feel free to reassign back to the kernel if
> the cause seems to be there.

Next time I see a contentless reassign, that's just going to be -done.

Now I don't see any X log anyway. What a great bug report.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Sun, 17 Jun 2012 14:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 17 Jun 2012 14:15:12 GMT) Full text and rfc822 format available.

Message #80 received at 677173@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Cyril Brulebois <kibi@debian.org>
Cc: 677173@bugs.debian.org, Vincent Lefevre <vincent@vinc17.net>, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sun, 17 Jun 2012 09:12:39 -0500
Cyril Brulebois wrote:
> Jonathan Nieder <jrnieder@gmail.com> (17/06/2012):

>> This is a contentless reply to let the Debian X maintainers know about
>> their new bug. :)  Please feel free to reassign back to the kernel if
>> the cause seems to be there.
>
> Next time I see a contentless reassign, that's just going to be -done.

I guess you didn't read the quoted part above my text?  (If that's not
it, you have not explained yourself adequately, so please try again.)

> Now I don't see any X log anyway. What a great bug report.

Vincent, please attach output from

	reportbug --template xserver-xorg-input-evdev

Ciao,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Sun, 17 Jun 2012 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 17 Jun 2012 14:24:03 GMT) Full text and rfc822 format available.

Message #85 received at 677173@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 677173@bugs.debian.org, Vincent Lefevre <vincent@vinc17.net>, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sun, 17 Jun 2012 16:20:04 +0200
[Message part 1 (text/plain, inline)]
Jonathan Nieder <jrnieder@gmail.com> (17/06/2012):
> I guess you didn't read the quoted part above my text?  (If that's not
> it, you have not explained yourself adequately, so please try again.)

I did read it, and that's not what I'm complaining about.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Sun, 17 Jun 2012 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 17 Jun 2012 15:51:06 GMT) Full text and rfc822 format available.

Message #90 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Cyril Brulebois <kibi@debian.org>, 677173@bugs.debian.org, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sun, 17 Jun 2012 17:47:03 +0200
[Message part 1 (text/plain, inline)]
On 2012-06-17 09:12:39 -0500, Jonathan Nieder wrote:
> Vincent, please attach output from
> 
> 	reportbug --template xserver-xorg-input-evdev

Attached (reportbug.txt). I've also attached the old log file,
corresponding to the session where the problem occurred this
morning.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)
[reportbug.txt (text/plain, attachment)]
[Xorg.0.log.old (text/plain, attachment)]

Changed Bug title to 'after some time, some keyboard no longer works in the current X session' from 'after some time, the USB keyboard no longer works in the current X session' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Wed, 27 Jun 2012 16:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Wed, 27 Jun 2012 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 27 Jun 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #97 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Cyril Brulebois <kibi@debian.org>, 677173@bugs.debian.org, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Wed, 27 Jun 2012 18:53:46 +0200
retitle 677173 after some time, some keyboard no longer works in the current X session
thanks

The same problem occurred with my laptop keyboard, suddenly, without
doing anything special. This time, I hadn't had any USB keyboard
attached since the last boot. However the laptop had been put into
sleep several times.

The keyboard was no longer working, but the touchpad was still working
as usual, and I could quit the X session with it. The X session was
restarted by gdm3, and I could use the keyboard again.

Like before, nothing in the logs (X and dmesg) when the problem
occurred.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Sat, 14 Jul 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 14 Jul 2012 19:45:03 GMT) Full text and rfc822 format available.

Message #102 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Cyril Brulebois <kibi@debian.org>, 677173@bugs.debian.org, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sat, 14 Jul 2012 21:38:05 +0200
Something interesting occurred with the USB keyboard. I was using
Iceweasel, and suddenly it behaved as if both the Shift and Ctrl keys
were pressed: left-clicks were extending the selection, and a
left-click on a link was opening it in a background tab. After hitting
various keys, this no longer occurred, but then, I noticed that the
keyboard was no longer working... at least except Shift in Iceweasel
for left-clicks, which were extending the selection (only) when Shift
was pressed.

So, it seems that when the problem occurs, the keyboard modifiers may
still be working with clicks (to be confirmed).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Added tag(s) unreproducible. Request was from Cord Beermann <cord@Wunder-Nett.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 12:03:04 GMT) Full text and rfc822 format available.

Merged 677173 677242 Request was from Cord Beermann <cord@Wunder-Nett.org> to control@bugs.debian.org. (Sun, 15 Jul 2012 12:03:04 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Mon, 16 Jul 2012 15:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Thu, 19 Jul 2012 23:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 19 Jul 2012 23:45:06 GMT) Full text and rfc822 format available.

Message #113 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Cyril Brulebois <kibi@debian.org>, 677173@bugs.debian.org, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Fri, 20 Jul 2012 01:40:52 +0200
On 2012-07-14 21:38:05 +0200, Vincent Lefevre wrote:
> So, it seems that when the problem occurs, the keyboard modifiers may
> still be working with clicks (to be confirmed).

Forget that. The problem is the following: a keypress is taken into
account only if the key is kept pressed for about half a second (key
modifiers are generally pressed at least that time when used as a
combination with a click, that's why they appear to be working as
usual), a bit like the Power button needs to be pressed for some time
to be taken into account. If a normal key is pressed long enough, it
repeats until it is released, as usual.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 20 Jul 2012 06:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 20 Jul 2012 06:33:03 GMT) Full text and rfc822 format available.

Message #118 received at 677173@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Vincent Lefevre <vincent@vinc17.net>, 677173@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Fri, 20 Jul 2012 08:31:19 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jul 20, 2012 at 01:40:52 +0200, Vincent Lefevre wrote:

> On 2012-07-14 21:38:05 +0200, Vincent Lefevre wrote:
> > So, it seems that when the problem occurs, the keyboard modifiers may
> > still be working with clicks (to be confirmed).
> 
> Forget that. The problem is the following: a keypress is taken into
> account only if the key is kept pressed for about half a second (key
> modifiers are generally pressed at least that time when used as a
> combination with a click, that's why they appear to be working as
> usual), a bit like the Power button needs to be pressed for some time
> to be taken into account. If a normal key is pressed long enough, it
> repeats until it is released, as usual.
> 
Sounds like you have slowkeys enabled.
http://who-t.blogspot.fr/2012/06/xkb-slowkeys.html

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 20 Jul 2012 07:03:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 20 Jul 2012 07:03:16 GMT) Full text and rfc822 format available.

Message #123 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Fri, 20 Jul 2012 08:58:57 +0200
On 2012-07-20 08:31:19 +0200, Julien Cristau wrote:
> Sounds like you have slowkeys enabled.
> http://who-t.blogspot.fr/2012/06/xkb-slowkeys.html

So, it would seem that some part of the system would enable SlowKeys
in my back for one of the keyboards (I recall that when this happens
while I'm using the USB keyboard, only the USB keyboard is affected,
not the laptop keyboard).

If there a way to know whether SlowKeys is enabled, for each available
keyboard? (Note: I'm not using GNOME, and even GNOME would be useless
because according to what I see on this page, it cannot differentiate
keyboards.)

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 20 Jul 2012 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 20 Jul 2012 07:45:04 GMT) Full text and rfc822 format available.

Message #128 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Fri, 20 Jul 2012 09:42:04 +0200
On 2012-07-20 08:58:57 +0200, Vincent Lefevre wrote:
> So, it would seem that some part of the system would enable SlowKeys
> in my back for one of the keyboards (I recall that when this happens
> while I'm using the USB keyboard, only the USB keyboard is affected,
> not the laptop keyboard).
> 
> If there a way to know whether SlowKeys is enabled, for each available
> keyboard? (Note: I'm not using GNOME, and even GNOME would be useless
> because according to what I see on this page, it cannot differentiate
> keyboards.)

Additional information:

* SlowKeys can be turned on and off by pressing the Shift key for
  at least 10 seconds:
    https://bugzilla.redhat.com/show_bug.cgi?id=816764
  I've tried and I confirm that this "works". When several keyboards
  are attached, only the keyboard for which the Shift key is pressed
  is affected (I suppose that this is expected).

* When the bug occurred in my case, I don't think I've pressed Shift
  for 10 seconds (well, when I do this, this is in combination with
  another key like PageUp / PageDown, but in this case, SlowKeys
  switching isn't triggered), at least in most of the cases.

* It may happen that the system misses the Shift Release event.
  Actually this is what happened on July 14. I recall:
    Something interesting occurred with the USB keyboard. I was using
    Iceweasel, and suddenly it behaved as if both the Shift and Ctrl
    keys were pressed: left-clicks were extending the selection, and
    a left-click on a link was opening it in a background tab. After
    hitting various keys, this no longer occurred, [...]
  And this is what happened last night. This could explain why the
  problem occurs and that this could be specific to the USB keyboard
  on this machine.

* I had said that the problem also occurred with the main keyboard,
  but I don't remember whether I did anything special with the Shift
  key in this case.

To summarize, there could be two different problems (but I'm not
sure):

1. The fact that pressing the Shift key for at least 10 seconds
   activates SlowKeys for this keyboard. I don't think that this
   feature should be enabled by default. Hidden features are bad.
   Also, there may be a good reason to hold the Shift key for
   10 seconds: when using it in a combination of Shift + clicks.
   And when SlowKeys is enabled/disabled (in this way at least),
   something should be written to some log file, so that the user
   can get the information in case he wonders.

2. The fact that a Shift Release event can be missed (it remains
   to be confirmed) with this USB keyboard.
   Note: I haven't noticed any missing Release event for the other
   keys.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Thu, 26 Jul 2012 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 26 Jul 2012 19:42:03 GMT) Full text and rfc822 format available.

Message #133 received at 677173@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: Julien Cristau <jcristau@debian.org>, 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Thu, 26 Jul 2012 21:31:44 +0200
Vincent Lefevre <vincent@vinc17.net> writes:
> On 2012-07-20 08:58:57 +0200, Vincent Lefevre wrote:
>> So, it would seem that some part of the system would enable SlowKeys
>> in my back for one of the keyboards (I recall that when this happens
>> while I'm using the USB keyboard, only the USB keyboard is affected,
>> not the laptop keyboard).
>> 
>> If there a way to know whether SlowKeys is enabled, for each available
>> keyboard? (Note: I'm not using GNOME, and even GNOME would be useless
>> because according to what I see on this page, it cannot differentiate
>> keyboards.)
>
> Additional information:
>
> * SlowKeys can be turned on and off by pressing the Shift key for
>   at least 10 seconds:
>     https://bugzilla.redhat.com/show_bug.cgi?id=816764
>   I've tried and I confirm that this "works". When several keyboards
>   are attached, only the keyboard for which the Shift key is pressed
>   is affected (I suppose that this is expected).

Thanks a lot for posting this.  I've now hit the bug several times
myself over the last few days, and without having read this thread first
I would never have known how to get out ot it.  And that would have been
really annoying given that this typically happens in the middle of some
heavy editing session. I would have hated to have to throw away the work
and reboot to get the system working again, and I don't think I ever
would have figured out the shift key trick.

BTW, is it only me, or do you have to hold down the key significantly
longer to turn the "feature" off than to turn it on?  It certainly feels
like it.

> * When the bug occurred in my case, I don't think I've pressed Shift
>   for 10 seconds (well, when I do this, this is in combination with
>   another key like PageUp / PageDown, but in this case, SlowKeys
>   switching isn't triggered), at least in most of the cases.

In my case it seems to happen most often when I do cut and paste,
combining mouse selection with shift + del.  I often end up holding down
the shift key while selecting and bam...


IMNSHO, the hotkey choice is too generic to be acceptable at
all. Holding down any single key to silently enable a feature like this
is not going to do.  I find it somwhat surprising in light of the
Ctrl+Alt+Backspace disabling....

Why couldn't they have used *both* shift keys as a trigger?  That would
have eliminated all false positives with no drawbacks AFAICS.

Anyway, please disable this extremely annoying feature until some safer
trigger can be found.


Bjørn



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 27 Jul 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 27 Jul 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #138 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Bjørn Mork <bjorn@mork.no>
Cc: Julien Cristau <jcristau@debian.org>, 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, Wookey <wookey@wookware.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Fri, 27 Jul 2012 02:11:59 +0200
On 2012-07-26 21:31:44 +0200, Bjørn Mork wrote:
> BTW, is it only me, or do you have to hold down the key significantly
> longer to turn the "feature" off than to turn it on?  It certainly feels
> like it.

No, it seems 10 seconds in both cases.

> > * When the bug occurred in my case, I don't think I've pressed Shift
> >   for 10 seconds (well, when I do this, this is in combination with
> >   another key like PageUp / PageDown, but in this case, SlowKeys
> >   switching isn't triggered), at least in most of the cases.
> 
> In my case it seems to happen most often when I do cut and paste,
> combining mouse selection with shift + del.  I often end up holding down
> the shift key while selecting and bam...

Yes, while SlowKeys isn't turned on with Shift + non-modifier key,
if you hold Shift for 10 seconds while using the mouse, it will be
turned on.

> IMNSHO, the hotkey choice is too generic to be acceptable at
> all.

I completely agree.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 27 Jul 2012 01:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 27 Jul 2012 01:42:06 GMT) Full text and rfc822 format available.

Message #143 received at 677173@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: Julien Cristau <jcristau@debian.org>, 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Fri, 27 Jul 2012 02:39:14 +0100
+++ Vincent Lefevre [2012-07-20 08:58 +0200]:
> On 2012-07-20 08:31:19 +0200, Julien Cristau wrote:
> > Sounds like you have slowkeys enabled.
> > http://who-t.blogspot.fr/2012/06/xkb-slowkeys.html
> 
> So, it would seem that some part of the system would enable SlowKeys
> in my back for one of the keyboards 

I hadn't seen this problem for weeks and thought maybe it was fixed,
and then it happened again (keyboard suddenly not responding, but
other keyboard working OK). Given the above message I tried holding
down shift for 10 seconds and lo and behold, the keyboard was back
working. So it does seem that the problem is the 'random but rare'
enabling of this feature without actually holding shift down for 10
seconds (or at least I'm fairly sure I didn't, but will keep an eye
out for doing it now).

A way to confirm if the slowkeys feature is currently engaged would
allow me to confirm this more directly next time. 

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 27 Jul 2012 06:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 27 Jul 2012 06:03:05 GMT) Full text and rfc822 format available.

Message #148 received at 677173@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Wookey <wookey@wookware.org>
Cc: Vincent Lefevre <vincent@vinc17.net>, 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Fri, 27 Jul 2012 07:59:25 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jul 27, 2012 at 02:39:14 +0100, Wookey wrote:

> A way to confirm if the slowkeys feature is currently engaged would
> allow me to confirm this more directly next time. 
> 
http://cgit.freedesktop.org/xorg/xserver/commit/?id=4af8e22b1a539778388fe509a7f3a25860a7879c
is in the X server in sid, so the X log should tell you.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 27 Jul 2012 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 27 Jul 2012 22:03:05 GMT) Full text and rfc822 format available.

Message #153 received at 677173@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Julien Cristau <jcristau@debian.org>
Cc: Wookey <wookey@wookware.org>, Vincent Lefevre <vincent@vinc17.net>, 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sat, 28 Jul 2012 00:00:32 +0200
Julien Cristau <jcristau@debian.org> writes:

> On Fri, Jul 27, 2012 at 02:39:14 +0100, Wookey wrote:
>
>> A way to confirm if the slowkeys feature is currently engaged would
>> allow me to confirm this more directly next time. 
>> 
> http://cgit.freedesktop.org/xorg/xserver/commit/?id=4af8e22b1a539778388fe509a7f3a25860a7879c
> is in the X server in sid, so the X log should tell you.

That's OK, but how do I permanently disable this mis-feature?  I am now
starting to get pissed enough to be willing to replace whatever part of
the system is necessary.  I can probably manage better without an X
server than without a keyboard...


Bjørn



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 27 Jul 2012 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 27 Jul 2012 22:15:03 GMT) Full text and rfc822 format available.

Message #158 received at 677173@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bjørn Mork <bjorn@mork.no>
Cc: Wookey <wookey@wookware.org>, Vincent Lefevre <vincent@vinc17.net>, 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sat, 28 Jul 2012 00:11:13 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 28, 2012 at 00:00:32 +0200, Bjørn Mork wrote:

> Julien Cristau <jcristau@debian.org> writes:
> 
> > On Fri, Jul 27, 2012 at 02:39:14 +0100, Wookey wrote:
> >
> >> A way to confirm if the slowkeys feature is currently engaged would
> >> allow me to confirm this more directly next time. 
> >> 
> > http://cgit.freedesktop.org/xorg/xserver/commit/?id=4af8e22b1a539778388fe509a7f3a25860a7879c
> > is in the X server in sid, so the X log should tell you.
> 
> That's OK, but how do I permanently disable this mis-feature?  I am now
> starting to get pissed enough to be willing to replace whatever part of
> the system is necessary.  I can probably manage better without an X
> server than without a keyboard...
> 
As explained in the blog post I linked to, you have to disable AccessX.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 27 Jul 2012 23:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 27 Jul 2012 23:03:05 GMT) Full text and rfc822 format available.

Message #163 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Julien Cristau <jcristau@debian.org>
Cc: Bjørn Mork <bjorn@mork.no>, Wookey <wookey@wookware.org>, 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sat, 28 Jul 2012 01:00:11 +0200
On 2012-07-28 00:11:13 +0200, Julien Cristau wrote:
> As explained in the blog post I linked to, you have to disable AccessX.

But the blog post doesn't explain *how* to do that. Well, it explains
it only for GNOME 3 users. But not everyone uses GNOME.

"man -k accessx" gives nothing interesting.

http://tldp.org/HOWTO/Keyboard-and-Console-HOWTO-15.html says that
AccessX is enabled if the X server is run with the +accessx option,
but here AccessX is enabled while here there is no such option.

"grep -ri accessx /etc" and "ps -aef | grep -i accessx" give nothing.
And the X(7) man page doesn't mention AccessX.

I also wonder why such a feature is enabled by default while there
is no documentation about it!

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Fri, 27 Jul 2012 23:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 27 Jul 2012 23:09:08 GMT) Full text and rfc822 format available.

Message #168 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Julien Cristau <jcristau@debian.org>
Cc: Bjørn Mork <bjorn@mork.no>, Wookey <wookey@wookware.org>, 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sat, 28 Jul 2012 01:07:43 +0200
On 2012-07-28 01:00:11 +0200, Vincent Lefevre wrote:
> But the blog post doesn't explain *how* to do that. Well, it explains
> it only for GNOME 3 users. But not everyone uses GNOME.
> 
> "man -k accessx" gives nothing interesting.
> 
> http://tldp.org/HOWTO/Keyboard-and-Console-HOWTO-15.html says that
> AccessX is enabled if the X server is run with the +accessx option,
> but here AccessX is enabled while here there is no such option.
> 
> "grep -ri accessx /etc" and "ps -aef | grep -i accessx" give nothing.
> And the X(7) man page doesn't mention AccessX.
> 
> I also wonder why such a feature is enabled by default while there
> is no documentation about it!

I've finally found the solution:

# apt-get install xkbset
$ xkbset -a

I wonder why xkbset hasn't been installed by default (I thought
that x11-xkb-utils were sufficient for XKB settings).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Sat, 28 Jul 2012 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Jul 2012 01:33:03 GMT) Full text and rfc822 format available.

Message #173 received at 677173@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: Julien Cristau <jcristau@debian.org>, Wookey <wookey@wookware.org>, 677173@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>, Cyril Brulebois <kibi@debian.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#677173: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sat, 28 Jul 2012 03:31:26 +0200
Vincent Lefevre <vincent@vinc17.net> writes:

> I've finally found the solution:
>
> # apt-get install xkbset
> $ xkbset -a

Thanks.  That's useful.  But I found an even better solution:

 apt-cache search xdm
 (install one of the alternatives)
 apt-get purge gdm3


This has the extra bonus that XAUTHORITY is back where you expect it to
be, and the X server command line is configurable again.



Bjørn



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Sat, 28 Jul 2012 06:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 28 Jul 2012 06:15:03 GMT) Full text and rfc822 format available.

Message #178 received at 677173@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Bjørn Mork <bjorn@mork.no>
Cc: Julien Cristau <jcristau@debian.org>, Wookey <wookey@wookware.org>, Vincent Lefevre <vincent@vinc17.net>, 677173@bugs.debian.org, Cyril Brulebois <kibi@debian.org>, linux-2.6@packages.debian.org
Subject: Re: 3.2.19-1: after some time, the USB keyboard no longer works
Date: Sat, 28 Jul 2012 01:11:22 -0500
forwarded 677173 https://bugs.freedesktop.org/52611
quit

Hi,

Bjørn Mork wrote:

> That's OK, but how do I permanently disable this mis-feature?
[etc]

Nothing about this looks Debian-specific, so filed upstream.
Hopefully further work can happen there.  (If I screwed up in filing,
please feel free to fix it.)

Thanks,
Jonathan



Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/52611'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 28 Jul 2012 06:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Mon, 06 Aug 2012 20:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 06 Aug 2012 20:54:06 GMT) Full text and rfc822 format available.

Message #185 received at 677173@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 677173@bugs.debian.org
Subject: keyboard switched to slowkeys mode today for me as well
Date: Mon, 06 Aug 2012 16:46:40 -0400
[Message part 1 (text/plain, inline)]
My X11 session switched to slowkeys mode today without my having held
the shift key down for 10 consecutive seconds, as far as i know.

I don't think there's anything in the log here that is indicates
anything, but i thought i'd send it along for further edification.

starting at 22745.777, you can see me plugging in an external USB
keyboard to try to work around the problem.

hope this is useful,

         --dkg

[Xorg.0.log (text/plain, inline)]
[   130.901] 
X.Org X Server 1.12.1.902 (1.12.2 RC 2)
Release Date: 2012-05-19
[   130.902] X Protocol Version 11, Revision 0
[   130.902] Build Operating System: Linux 2.6.32-5-686-bigmem i686 Debian
[   130.902] Current Operating System: Linux pip 3.2.0-3-686-pae #1 SMP Thu Jun 28 08:56:46 UTC 2012 i686
[   130.902] Kernel command line: BOOT_IMAGE=/vmlinuz-3.2.0-3-686-pae root=/dev/mapper/vg_pip0-root ro verbose
[   130.902] Build Date: 20 May 2012  10:23:38AM
[   130.902] xorg-server 2:1.12.1.902-1 (Cyril Brulebois <kibi@debian.org>) 
[   130.902] Current version of pixman: 0.26.0
[   130.902] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[   130.902] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[   130.902] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Aug  5 20:13:15 2012
[   130.908] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[   130.909] (==) No Layout section.  Using the first Screen section.
[   130.909] (==) No screen section available. Using defaults.
[   130.909] (**) |-->Screen "Default Screen Section" (0)
[   130.909] (**) |   |-->Monitor "<default monitor>"
[   130.914] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[   130.914] (==) Automatically adding devices
[   130.914] (==) Automatically enabling devices
[   130.919] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[   130.919] 	Entry deleted from font path.
[   130.928] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[   130.928] (==) ModulePath set to "/usr/lib/xorg/modules"
[   130.928] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[   130.928] (II) Loader magic: 0xb77c65a0
[   130.928] (II) Module ABI versions:
[   130.928] 	X.Org ANSI C Emulation: 0.4
[   130.928] 	X.Org Video Driver: 12.0
[   130.928] 	X.Org XInput driver : 16.0
[   130.928] 	X.Org Server Extension : 6.0
[   130.930] (--) PCI:*(0:0:2:0) 8086:2592:1043:82d9 rev 4, Mem @ 0xf7f00000/524288, 0xd0000000/268435456, 0xf7ec0000/262144, I/O @ 0x0000ec00/8
[   130.930] (--) PCI: (0:0:2:1) 8086:2792:1043:82d9 rev 4, Mem @ 0xf7f80000/524288
[   130.931] (II) Open ACPI successful (/var/run/acpid.socket)
[   130.931] (II) LoadModule: "extmod"
[   130.943] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[   130.950] (II) Module extmod: vendor="X.Org Foundation"
[   130.950] 	compiled for 1.12.1.902, module version = 1.0.0
[   130.950] 	Module class: X.Org Server Extension
[   130.950] 	ABI class: X.Org Server Extension, version 6.0
[   130.950] (II) Loading extension SELinux
[   130.950] (II) Loading extension MIT-SCREEN-SAVER
[   130.950] (II) Loading extension XFree86-VidModeExtension
[   130.950] (II) Loading extension XFree86-DGA
[   130.950] (II) Loading extension DPMS
[   130.950] (II) Loading extension XVideo
[   130.950] (II) Loading extension XVideo-MotionCompensation
[   130.950] (II) Loading extension X-Resource
[   130.950] (II) LoadModule: "dbe"
[   130.951] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[   130.956] (II) Module dbe: vendor="X.Org Foundation"
[   130.956] 	compiled for 1.12.1.902, module version = 1.0.0
[   130.956] 	Module class: X.Org Server Extension
[   130.956] 	ABI class: X.Org Server Extension, version 6.0
[   130.956] (II) Loading extension DOUBLE-BUFFER
[   130.956] (II) LoadModule: "glx"
[   130.957] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[   130.977] (II) Module glx: vendor="X.Org Foundation"
[   130.977] 	compiled for 1.12.1.902, module version = 1.0.0
[   130.977] 	ABI class: X.Org Server Extension, version 6.0
[   130.977] (==) AIGLX enabled
[   130.979] (II) Loading extension GLX
[   130.979] (II) LoadModule: "record"
[   130.979] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[   130.985] (II) Module record: vendor="X.Org Foundation"
[   130.985] 	compiled for 1.12.1.902, module version = 1.13.0
[   130.985] 	Module class: X.Org Server Extension
[   130.985] 	ABI class: X.Org Server Extension, version 6.0
[   130.985] (II) Loading extension RECORD
[   130.985] (II) LoadModule: "dri"
[   130.986] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[   130.992] (II) Module dri: vendor="X.Org Foundation"
[   130.992] 	compiled for 1.12.1.902, module version = 1.0.0
[   130.992] 	ABI class: X.Org Server Extension, version 6.0
[   130.992] (II) Loading extension XFree86-DRI
[   130.992] (II) LoadModule: "dri2"
[   130.993] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[   130.995] (II) Module dri2: vendor="X.Org Foundation"
[   130.995] 	compiled for 1.12.1.902, module version = 1.2.0
[   130.995] 	ABI class: X.Org Server Extension, version 6.0
[   130.995] (II) Loading extension DRI2
[   130.996] (==) Matched intel as autoconfigured driver 0
[   130.996] (==) Matched vesa as autoconfigured driver 1
[   130.996] (==) Matched fbdev as autoconfigured driver 2
[   130.996] (==) Assigned the driver to the xf86ConfigLayout
[   130.996] (II) LoadModule: "intel"
[   130.996] (II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
[   131.027] (II) Module intel: vendor="X.Org Foundation"
[   131.027] 	compiled for 1.12.3, module version = 2.19.0
[   131.027] 	Module class: X.Org Video Driver
[   131.027] 	ABI class: X.Org Video Driver, version 12.0
[   131.027] (II) LoadModule: "vesa"
[   131.030] (WW) Warning, couldn't open module vesa
[   131.030] (II) UnloadModule: "vesa"
[   131.030] (II) Unloading vesa
[   131.031] (EE) Failed to load module "vesa" (module does not exist, 0)
[   131.031] (II) LoadModule: "fbdev"
[   131.031] (WW) Warning, couldn't open module fbdev
[   131.031] (II) UnloadModule: "fbdev"
[   131.031] (II) Unloading fbdev
[   131.031] (EE) Failed to load module "fbdev" (module does not exist, 0)
[   131.031] (II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, B43, Clarkdale, Arrandale,
	Sandybridge Desktop (GT1), Sandybridge Desktop (GT2),
	Sandybridge Desktop (GT2+), Sandybridge Mobile (GT1),
	Sandybridge Mobile (GT2), Sandybridge Mobile (GT2+),
	Sandybridge Server, Ivybridge Mobile (GT1), Ivybridge Mobile (GT2),
	Ivybridge Desktop (GT1), Ivybridge Desktop (GT2), Ivybridge Server,
	Ivybridge Server (GT2)
[   131.033] (++) using VT number 7

[   131.052] drmOpenDevice: node name is /dev/dri/card0
[   131.052] drmOpenDevice: open result is 9, (OK)
[   131.052] drmOpenByBusid: Searching for BusID pci:0000:00:02.0
[   131.052] drmOpenDevice: node name is /dev/dri/card0
[   131.052] drmOpenDevice: open result is 9, (OK)
[   131.052] drmOpenByBusid: drmOpenMinor returns 9
[   131.052] drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
[   131.052] (II) intel(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[   131.052] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[   131.053] (==) intel(0): RGB weight 888
[   131.053] (==) intel(0): Default visual is TrueColor
[   131.053] (II) intel(0): Integrated Graphics Chipset: Intel(R) 915GM
[   131.053] (--) intel(0): Chipset: "915GM"
[   131.053] (**) intel(0): Relaxed fencing disabled
[   131.053] (**) intel(0): Wait on SwapBuffers? enabled
[   131.053] (**) intel(0): Triple buffering? enabled
[   131.053] (**) intel(0): Framebuffer tiled
[   131.053] (**) intel(0): Pixmaps tiled
[   131.053] (**) intel(0): 3D buffers tiled
[   131.063] (**) intel(0): SwapBuffers wait enabled
[   131.063] (==) intel(0): video overlay key set to 0x101fe
[   131.064] (II) intel(0): Output LVDS1 has no monitor section
[   131.064] (II) intel(0): found backlight control interface /sys/class/backlight/eeepc
[   131.328] (II) intel(0): Output VGA1 has no monitor section
[   131.676] (II) intel(0): Output TV1 has no monitor section
[   131.676] (II) intel(0): EDID for output LVDS1
[   131.677] (II) intel(0): Not using default mode "320x240" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "400x300" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "512x384" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "640x480" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "640x512" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "800x600" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "576x432" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "680x384" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "700x525" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "720x450" (doublescan mode not supported)
[   131.677] (II) intel(0): Not using default mode "800x512" (doublescan mode not supported)
[   131.678] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[   131.678] (II) intel(0): Not using default mode "840x525" (doublescan mode not supported)
[   131.678] (II) intel(0): Not using default mode "960x540" (doublescan mode not supported)
[   131.678] (II) intel(0): Not using default mode "960x600" (doublescan mode not supported)
[   131.678] (II) intel(0): Printing probed modes for output LVDS1
[   131.678] (II) intel(0): Modeline "1024x600"x59.5   50.00  1024 1044 1054 1344  600 602 605 625 -hsync -vsync (37.2 kHz P)
[   131.678] (II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601 605 628 +hsync +vsync (37.9 kHz d)
[   131.678] (II) intel(0): Modeline "800x600"x56.2   36.00  800 824 896 1024  600 601 603 625 +hsync +vsync (35.2 kHz d)
[   131.678] (II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz d)
[   133.600] (II) intel(0): EDID for output VGA1
[   134.177] (II) intel(0): EDID for output TV1
[   134.177] (II) intel(0): Output LVDS1 connected
[   134.177] (II) intel(0): Output VGA1 disconnected
[   134.177] (II) intel(0): Output TV1 disconnected
[   134.177] (II) intel(0): Using exact sizes for initial modes
[   134.177] (II) intel(0): Output LVDS1 using initial mode 1024x600
[   134.177] (II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[   134.177] (II) intel(0): Kernel page flipping support detected, enabling
[   134.177] (==) intel(0): DPI set to (96, 96)
[   134.177] (II) Loading sub module "fb"
[   134.177] (II) LoadModule: "fb"
[   134.178] (II) Loading /usr/lib/xorg/modules/libfb.so
[   134.188] (II) Module fb: vendor="X.Org Foundation"
[   134.188] 	compiled for 1.12.1.902, module version = 1.0.0
[   134.188] 	ABI class: X.Org ANSI C Emulation, version 0.4
[   134.188] (II) Loading sub module "dri2"
[   134.188] (II) LoadModule: "dri2"
[   134.189] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[   134.189] (II) Module dri2: vendor="X.Org Foundation"
[   134.189] 	compiled for 1.12.1.902, module version = 1.2.0
[   134.189] 	ABI class: X.Org Server Extension, version 6.0
[   134.189] (==) Depth 24 pixmap format is 32 bpp
[   134.189] (II) intel(0): [DRI2] Setup complete
[   134.189] (II) intel(0): [DRI2]   DRI driver: i915
[   134.190] (II) intel(0): Allocated new frame buffer 1024x600 stride 4096, tiled
[   134.203] (II) UXA(0): Driver registered support for the following operations:
[   134.203] (II)         solid
[   134.203] (II)         copy
[   134.203] (II)         composite (RENDER acceleration)
[   134.203] (II)         put_image
[   134.203] (II)         get_image
[   134.203] (==) intel(0): Backing store disabled
[   134.203] (==) intel(0): Silken mouse enabled
[   134.205] (II) intel(0): Initializing HW Cursor
[   134.205] (II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[   134.211] (==) intel(0): DPMS enabled
[   134.211] (==) intel(0): Intel XvMC decoder disabled
[   134.212] (II) intel(0): Set up textured video
[   134.212] (II) intel(0): Set up overlay video
[   134.212] (II) intel(0): direct rendering: DRI2 Enabled
[   134.212] (==) intel(0): hotplug detection: "enabled"
[   134.244] (--) RandR disabled
[   134.244] (II) Initializing built-in extension Generic Event Extension
[   134.244] (II) Initializing built-in extension SHAPE
[   134.244] (II) Initializing built-in extension MIT-SHM
[   134.244] (II) Initializing built-in extension XInputExtension
[   134.244] (II) Initializing built-in extension XTEST
[   134.244] (II) Initializing built-in extension BIG-REQUESTS
[   134.244] (II) Initializing built-in extension SYNC
[   134.244] (II) Initializing built-in extension XKEYBOARD
[   134.244] (II) Initializing built-in extension XC-MISC
[   134.244] (II) Initializing built-in extension SECURITY
[   134.244] (II) Initializing built-in extension XINERAMA
[   134.244] (II) Initializing built-in extension XFIXES
[   134.244] (II) Initializing built-in extension RENDER
[   134.244] (II) Initializing built-in extension RANDR
[   134.244] (II) Initializing built-in extension COMPOSITE
[   134.244] (II) Initializing built-in extension DAMAGE
[   134.244] (II) SELinux: Disabled on system
[   134.637] (II) AIGLX: enabled GLX_MESA_copy_sub_buffer
[   134.637] (II) AIGLX: enabled GLX_INTEL_swap_event
[   134.637] (II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
[   134.637] (II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
[   134.638] (II) AIGLX: Loaded and initialized i915
[   134.638] (II) GLX: Initialized DRI2 GL provider for screen 0
[   134.639] (II) intel(0): Setting screen physical size to 270 x 158
[   135.245] (II) config/udev: Adding input device Power Button (/dev/input/event4)
[   135.245] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[   135.245] (II) LoadModule: "evdev"
[   135.245] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[   135.273] (II) Module evdev: vendor="X.Org Foundation"
[   135.273] 	compiled for 1.12.1, module version = 2.7.0
[   135.273] 	Module class: X.Org XInput Driver
[   135.273] 	ABI class: X.Org XInput driver, version 16.0
[   135.273] (II) Using input driver 'evdev' for 'Power Button'
[   135.273] (**) Power Button: always reports core events
[   135.274] (**) evdev: Power Button: Device: "/dev/input/event4"
[   135.274] (--) evdev: Power Button: Vendor 0 Product 0x1
[   135.274] (--) evdev: Power Button: Found keys
[   135.274] (II) evdev: Power Button: Configuring as keyboard
[   135.274] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4"
[   135.274] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 6)
[   135.274] (**) Option "xkb_rules" "evdev"
[   135.274] (**) Option "xkb_model" "pc104"
[   135.274] (**) Option "xkb_layout" "us"
[   135.506] (II) config/udev: Adding input device Video Bus (/dev/input/event5)
[   135.506] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[   135.506] (II) Using input driver 'evdev' for 'Video Bus'
[   135.506] (**) Video Bus: always reports core events
[   135.507] (**) evdev: Video Bus: Device: "/dev/input/event5"
[   135.507] (--) evdev: Video Bus: Vendor 0 Product 0x6
[   135.507] (--) evdev: Video Bus: Found keys
[   135.507] (II) evdev: Video Bus: Configuring as keyboard
[   135.507] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A08:00/LNXVIDEO:00/input/input5/event5"
[   135.507] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD, id 7)
[   135.507] (**) Option "xkb_rules" "evdev"
[   135.507] (**) Option "xkb_model" "pc104"
[   135.507] (**) Option "xkb_layout" "us"
[   135.508] (II) config/udev: Adding input device Power Button (/dev/input/event3)
[   135.509] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[   135.509] (II) Using input driver 'evdev' for 'Power Button'
[   135.509] (**) Power Button: always reports core events
[   135.509] (**) evdev: Power Button: Device: "/dev/input/event3"
[   135.509] (--) evdev: Power Button: Vendor 0 Product 0x1
[   135.509] (--) evdev: Power Button: Found keys
[   135.509] (II) evdev: Power Button: Configuring as keyboard
[   135.509] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input3/event3"
[   135.509] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD, id 8)
[   135.509] (**) Option "xkb_rules" "evdev"
[   135.509] (**) Option "xkb_model" "pc104"
[   135.509] (**) Option "xkb_layout" "us"
[   135.510] (II) config/udev: Adding input device Lid Switch (/dev/input/event1)
[   135.511] (II) No input driver specified, ignoring this device.
[   135.511] (II) This device may have been added with another device file.
[   135.511] (II) config/udev: Adding input device Sleep Button (/dev/input/event2)
[   135.511] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[   135.511] (II) Using input driver 'evdev' for 'Sleep Button'
[   135.511] (**) Sleep Button: always reports core events
[   135.528] (**) evdev: Sleep Button: Device: "/dev/input/event2"
[   135.528] (--) evdev: Sleep Button: Vendor 0 Product 0x3
[   135.528] (--) evdev: Sleep Button: Found keys
[   135.528] (II) evdev: Sleep Button: Configuring as keyboard
[   135.528] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2"
[   135.528] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD, id 9)
[   135.528] (**) Option "xkb_rules" "evdev"
[   135.528] (**) Option "xkb_model" "pc104"
[   135.528] (**) Option "xkb_layout" "us"
[   135.530] (II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event8)
[   135.530] (II) No input driver specified, ignoring this device.
[   135.530] (II) This device may have been added with another device file.
[   135.531] (II) config/udev: Adding input device HDA Intel Headphone (/dev/input/event10)
[   135.531] (II) No input driver specified, ignoring this device.
[   135.531] (II) This device may have been added with another device file.
[   135.531] (II) config/udev: Adding input device HDA Intel Mic (/dev/input/event9)
[   135.531] (II) No input driver specified, ignoring this device.
[   135.531] (II) This device may have been added with another device file.
[   135.540] (II) config/udev: Adding input device CNF7129 (/dev/input/event7)
[   135.540] (**) CNF7129: Applying InputClass "evdev keyboard catchall"
[   135.540] (II) Using input driver 'evdev' for 'CNF7129'
[   135.540] (**) CNF7129: always reports core events
[   135.540] (**) evdev: CNF7129: Device: "/dev/input/event7"
[   135.540] (--) evdev: CNF7129: Vendor 0x4f2 Product 0xb071
[   135.540] (--) evdev: CNF7129: Found keys
[   135.540] (II) evdev: CNF7129: Configuring as keyboard
[   135.546] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb1/1-8/1-8:1.0/input/input7/event7"
[   135.546] (II) XINPUT: Adding extended input device "CNF7129" (type: KEYBOARD, id 10)
[   135.546] (**) Option "xkb_rules" "evdev"
[   135.546] (**) Option "xkb_model" "pc104"
[   135.546] (**) Option "xkb_layout" "us"
[   135.548] (II) config/udev: Adding input device Asus EeePC extra buttons (/dev/input/event6)
[   135.548] (**) Asus EeePC extra buttons: Applying InputClass "evdev keyboard catchall"
[   135.548] (II) Using input driver 'evdev' for 'Asus EeePC extra buttons'
[   135.548] (**) Asus EeePC extra buttons: always reports core events
[   135.548] (**) evdev: Asus EeePC extra buttons: Device: "/dev/input/event6"
[   135.548] (--) evdev: Asus EeePC extra buttons: Vendor 0 Product 0
[   135.548] (--) evdev: Asus EeePC extra buttons: Found keys
[   135.548] (II) evdev: Asus EeePC extra buttons: Configuring as keyboard
[   135.548] (**) Option "config_info" "udev:/sys/devices/platform/eeepc/input/input6/event6"
[   135.548] (II) XINPUT: Adding extended input device "Asus EeePC extra buttons" (type: KEYBOARD, id 11)
[   135.548] (**) Option "xkb_rules" "evdev"
[   135.548] (**) Option "xkb_model" "pc104"
[   135.548] (**) Option "xkb_layout" "us"
[   135.550] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[   135.550] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[   135.550] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[   135.550] (**) AT Translated Set 2 keyboard: always reports core events
[   135.550] (**) evdev: AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[   135.550] (--) evdev: AT Translated Set 2 keyboard: Vendor 0x1 Product 0x1
[   135.550] (--) evdev: AT Translated Set 2 keyboard: Found keys
[   135.550] (II) evdev: AT Translated Set 2 keyboard: Configuring as keyboard
[   135.550] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input0/event0"
[   135.551] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 12)
[   135.551] (**) Option "xkb_rules" "evdev"
[   135.551] (**) Option "xkb_model" "pc104"
[   135.551] (**) Option "xkb_layout" "us"
[   135.558] (II) config/udev: Adding input device ETPS/2 Elantech Touchpad (/dev/input/event11)
[   135.558] (**) ETPS/2 Elantech Touchpad: Applying InputClass "evdev touchpad catchall"
[   135.558] (**) ETPS/2 Elantech Touchpad: Applying InputClass "touchpad catchall"
[   135.558] (**) ETPS/2 Elantech Touchpad: Applying InputClass "Default clickpad buttons"
[   135.558] (II) LoadModule: "synaptics"
[   135.559] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[   135.567] (II) Module synaptics: vendor="X.Org Foundation"
[   135.567] 	compiled for 1.12.1.902, module version = 1.6.2
[   135.567] 	Module class: X.Org XInput Driver
[   135.567] 	ABI class: X.Org XInput driver, version 16.0
[   135.567] (II) Using input driver 'synaptics' for 'ETPS/2 Elantech Touchpad'
[   135.567] (**) ETPS/2 Elantech Touchpad: always reports core events
[   135.567] (**) Option "Device" "/dev/input/event11"
[   135.568] (II) synaptics: ETPS/2 Elantech Touchpad: ignoring touch events for semi-multitouch device
[   135.568] (--) synaptics: ETPS/2 Elantech Touchpad: x-axis range 0 - 1152
[   135.568] (--) synaptics: ETPS/2 Elantech Touchpad: y-axis range 0 - 768
[   135.568] (II) synaptics: ETPS/2 Elantech Touchpad: device does not report pressure, will use touch data.
[   135.568] (II) synaptics: ETPS/2 Elantech Touchpad: device does not report finger width.
[   135.568] (--) synaptics: ETPS/2 Elantech Touchpad: buttons: left right double triple
[   135.568] (--) synaptics: ETPS/2 Elantech Touchpad: Vendor 0x2 Product 0xe
[   135.568] (--) synaptics: ETPS/2 Elantech Touchpad: invalid pressure range.  defaulting to 0 - 255
[   135.568] (--) synaptics: ETPS/2 Elantech Touchpad: invalid finger width range.  defaulting to 0 - 15
[   135.568] (--) synaptics: ETPS/2 Elantech Touchpad: touchpad found
[   135.568] (**) ETPS/2 Elantech Touchpad: always reports core events
[   135.568] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input11/event11"
[   135.568] (II) XINPUT: Adding extended input device "ETPS/2 Elantech Touchpad" (type: TOUCHPAD, id 13)
[   135.568] (**) synaptics: ETPS/2 Elantech Touchpad: (accel) MinSpeed is now constant deceleration 2.5
[   135.568] (**) synaptics: ETPS/2 Elantech Touchpad: MaxSpeed is now 1.75
[   135.568] (**) synaptics: ETPS/2 Elantech Touchpad: AccelFactor is now 0.145
[   135.569] (**) ETPS/2 Elantech Touchpad: (accel) keeping acceleration scheme 1
[   135.569] (**) ETPS/2 Elantech Touchpad: (accel) acceleration profile 1
[   135.569] (**) ETPS/2 Elantech Touchpad: (accel) acceleration factor: 2.000
[   135.569] (**) ETPS/2 Elantech Touchpad: (accel) acceleration threshold: 4
[   135.570] (--) synaptics: ETPS/2 Elantech Touchpad: touchpad found
[   135.570] (II) config/udev: Adding input device ETPS/2 Elantech Touchpad (/dev/input/mouse0)
[   135.570] (**) ETPS/2 Elantech Touchpad: Ignoring device from InputClass "touchpad ignore duplicates"
[   135.572] (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event12)
[   135.572] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
[   135.572] (II) Using input driver 'evdev' for 'ACPI Virtual Keyboard Device'
[   135.572] (**) ACPI Virtual Keyboard Device: always reports core events
[   135.572] (**) evdev: ACPI Virtual Keyboard Device: Device: "/dev/input/event12"
[   135.572] (--) evdev: ACPI Virtual Keyboard Device: Vendor 0 Product 0
[   135.572] (--) evdev: ACPI Virtual Keyboard Device: Found keys
[   135.572] (II) evdev: ACPI Virtual Keyboard Device: Configuring as keyboard
[   135.572] (**) Option "config_info" "udev:/sys/devices/virtual/input/input12/event12"
[   135.573] (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD, id 14)
[   135.573] (**) Option "xkb_rules" "evdev"
[   135.573] (**) Option "xkb_model" "pc104"
[   135.573] (**) Option "xkb_layout" "us"
[  3848.891] (II) AIGLX: Suspending AIGLX clients for VT switch
[  3852.270] (II) Open ACPI successful (/var/run/acpid.socket)
[  3852.271] (II) AIGLX: Resuming AIGLX clients after VT switch
[  3852.904] (--) synaptics: ETPS/2 Elantech Touchpad: touchpad found
[  3854.521] (II) config/udev: Adding input device HID 413c:3010 (/dev/input/mouse1)
[  3854.522] (II) No input driver specified, ignoring this device.
[  3854.522] (II) This device may have been added with another device file.
[  3854.524] (II) config/udev: Adding input device HID 413c:3010 (/dev/input/event13)
[  3854.524] (**) HID 413c:3010: Applying InputClass "evdev pointer catchall"
[  3854.524] (II) Using input driver 'evdev' for 'HID 413c:3010'
[  3854.525] (**) HID 413c:3010: always reports core events
[  3854.525] (**) evdev: HID 413c:3010: Device: "/dev/input/event13"
[  3854.525] (--) evdev: HID 413c:3010: Vendor 0x413c Product 0x3010
[  3854.525] (--) evdev: HID 413c:3010: Found 3 mouse buttons
[  3854.525] (--) evdev: HID 413c:3010: Found scroll wheel(s)
[  3854.525] (--) evdev: HID 413c:3010: Found relative axes
[  3854.525] (--) evdev: HID 413c:3010: Found x and y relative axes
[  3854.525] (II) evdev: HID 413c:3010: Configuring as mouse
[  3854.525] (II) evdev: HID 413c:3010: Adding scrollwheel support
[  3854.525] (**) evdev: HID 413c:3010: YAxisMapping: buttons 4 and 5
[  3854.525] (**) evdev: HID 413c:3010: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[  3854.525] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input13/event13"
[  3854.525] (II) XINPUT: Adding extended input device "HID 413c:3010" (type: MOUSE, id 15)
[  3854.525] (II) evdev: HID 413c:3010: initialized for relative axes.
[  3854.526] (**) HID 413c:3010: (accel) keeping acceleration scheme 1
[  3854.526] (**) HID 413c:3010: (accel) acceleration profile 0
[  3854.528] (**) HID 413c:3010: (accel) acceleration factor: 2.000
[  3854.528] (**) HID 413c:3010: (accel) acceleration threshold: 4
[  3876.214] (II) intel(0): Allocated new frame buffer 1024x1880 stride 4096, tiled
[  3876.301] (II) intel(0): Allocated new frame buffer 1280x1024 stride 8192, tiled
[ 21572.288] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 21629.696] (II) Open ACPI successful (/var/run/acpid.socket)
[ 21629.696] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 21629.696] (II) intel(0): Allocated new frame buffer 1280x1024 stride 8192, tiled
[ 21629.813] (--) synaptics: ETPS/2 Elantech Touchpad: touchpad found
[ 21692.722] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 22438.934] (II) Open ACPI successful (/var/run/acpid.socket)
[ 22438.934] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 22438.934] (II) intel(0): Allocated new frame buffer 1280x1024 stride 8192, tiled
[ 22439.093] (--) synaptics: ETPS/2 Elantech Touchpad: touchpad found
[ 22568.200] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 22693.519] (II) Open ACPI successful (/var/run/acpid.socket)
[ 22693.519] (II) AIGLX: Resuming AIGLX clients after VT switch
[ 22693.519] (II) intel(0): Allocated new frame buffer 1280x1024 stride 8192, tiled
[ 22693.670] (--) synaptics: ETPS/2 Elantech Touchpad: touchpad found
[ 22745.777] (II) config/udev: Adding input device   USB Keyboard (/dev/input/event14)
[ 22745.777] (**)   USB Keyboard: Applying InputClass "evdev keyboard catchall"
[ 22745.777] (II) Using input driver 'evdev' for '  USB Keyboard'
[ 22745.777] (**)   USB Keyboard: always reports core events
[ 22745.777] (**) evdev:   USB Keyboard: Device: "/dev/input/event14"
[ 22745.777] (--) evdev:   USB Keyboard: Vendor 0x4d9 Product 0x1603
[ 22745.777] (--) evdev:   USB Keyboard: Found keys
[ 22745.777] (II) evdev:   USB Keyboard: Configuring as keyboard
[ 22745.777] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/input/input14/event14"
[ 22745.777] (II) XINPUT: Adding extended input device "  USB Keyboard" (type: KEYBOARD, id 16)
[ 22745.777] (**) Option "xkb_rules" "evdev"
[ 22745.777] (**) Option "xkb_model" "pc104"
[ 22745.777] (**) Option "xkb_layout" "us"
[ 22745.803] (II) config/udev: Adding input device   USB Keyboard (/dev/input/event15)
[ 22745.803] (**)   USB Keyboard: Applying InputClass "evdev keyboard catchall"
[ 22745.803] (II) Using input driver 'evdev' for '  USB Keyboard'
[ 22745.803] (**)   USB Keyboard: always reports core events
[ 22745.804] (**) evdev:   USB Keyboard: Device: "/dev/input/event15"
[ 22745.804] (--) evdev:   USB Keyboard: Vendor 0x4d9 Product 0x1603
[ 22745.804] (--) evdev:   USB Keyboard: Found keys
[ 22745.804] (II) evdev:   USB Keyboard: Configuring as keyboard
[ 22745.804] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.1/input/input15/event15"
[ 22745.804] (II) XINPUT: Adding extended input device "  USB Keyboard" (type: KEYBOARD, id 17)
[ 22745.804] (**) Option "xkb_rules" "evdev"
[ 22745.804] (**) Option "xkb_model" "pc104"
[ 22745.804] (**) Option "xkb_layout" "us"
[ 25417.692] (II) config/udev: removing device HID 413c:3010
[ 25417.711] (II) evdev: HID 413c:3010: Close
[ 25418.539] (II) UnloadModule: "evdev"
[ 25418.541] (II) config/udev: removing device   USB Keyboard
[ 25418.545] (II) evdev:   USB Keyboard: Close
[ 25418.672] (II) UnloadModule: "evdev"
[ 25418.673] (II) config/udev: removing device   USB Keyboard
[ 25418.677] (II) evdev:   USB Keyboard: Close
[ 25418.678] (II) UnloadModule: "evdev"
[ 25421.767] (II) config/udev: Adding input device   USB Keyboard (/dev/input/event14)
[ 25421.767] (**)   USB Keyboard: Applying InputClass "evdev keyboard catchall"
[ 25421.767] (II) Using input driver 'evdev' for '  USB Keyboard'
[ 25421.767] (**)   USB Keyboard: always reports core events
[ 25421.767] (**) evdev:   USB Keyboard: Device: "/dev/input/event14"
[ 25421.767] (--) evdev:   USB Keyboard: Vendor 0x4d9 Product 0x1603
[ 25421.767] (--) evdev:   USB Keyboard: Found keys
[ 25421.767] (II) evdev:   USB Keyboard: Configuring as keyboard
[ 25421.767] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input17/event14"
[ 25421.767] (II) XINPUT: Adding extended input device "  USB Keyboard" (type: KEYBOARD, id 15)
[ 25421.767] (**) Option "xkb_rules" "evdev"
[ 25421.767] (**) Option "xkb_model" "pc104"
[ 25421.768] (**) Option "xkb_layout" "us"
[ 25421.782] (II) config/udev: Adding input device   USB Keyboard (/dev/input/event13)
[ 25421.782] (**)   USB Keyboard: Applying InputClass "evdev keyboard catchall"
[ 25421.782] (II) Using input driver 'evdev' for '  USB Keyboard'
[ 25421.782] (**)   USB Keyboard: always reports core events
[ 25421.782] (**) evdev:   USB Keyboard: Device: "/dev/input/event13"
[ 25421.782] (--) evdev:   USB Keyboard: Vendor 0x4d9 Product 0x1603
[ 25421.782] (--) evdev:   USB Keyboard: Found keys
[ 25421.782] (II) evdev:   USB Keyboard: Configuring as keyboard
[ 25421.782] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input16/event13"
[ 25421.782] (II) XINPUT: Adding extended input device "  USB Keyboard" (type: KEYBOARD, id 16)
[ 25421.782] (**) Option "xkb_rules" "evdev"
[ 25421.782] (**) Option "xkb_model" "pc104"
[ 25421.782] (**) Option "xkb_layout" "us"
[ 25450.486] (II) config/udev: Adding input device HID 413c:3010 (/dev/input/event15)
[ 25450.486] (**) HID 413c:3010: Applying InputClass "evdev pointer catchall"
[ 25450.486] (II) Using input driver 'evdev' for 'HID 413c:3010'
[ 25450.486] (**) HID 413c:3010: always reports core events
[ 25450.486] (**) evdev: HID 413c:3010: Device: "/dev/input/event15"
[ 25450.486] (--) evdev: HID 413c:3010: Vendor 0x413c Product 0x3010
[ 25450.486] (--) evdev: HID 413c:3010: Found 3 mouse buttons
[ 25450.486] (--) evdev: HID 413c:3010: Found scroll wheel(s)
[ 25450.486] (--) evdev: HID 413c:3010: Found relative axes
[ 25450.486] (--) evdev: HID 413c:3010: Found x and y relative axes
[ 25450.486] (II) evdev: HID 413c:3010: Configuring as mouse
[ 25450.486] (II) evdev: HID 413c:3010: Adding scrollwheel support
[ 25450.486] (**) evdev: HID 413c:3010: YAxisMapping: buttons 4 and 5
[ 25450.486] (**) evdev: HID 413c:3010: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 25450.486] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/input/input18/event15"
[ 25450.486] (II) XINPUT: Adding extended input device "HID 413c:3010" (type: MOUSE, id 17)
[ 25450.487] (II) evdev: HID 413c:3010: initialized for relative axes.
[ 25450.489] (**) HID 413c:3010: (accel) keeping acceleration scheme 1
[ 25450.489] (**) HID 413c:3010: (accel) acceleration profile 0
[ 25450.489] (**) HID 413c:3010: (accel) acceleration factor: 2.000
[ 25450.489] (**) HID 413c:3010: (accel) acceleration threshold: 4
[ 25450.492] (II) config/udev: Adding input device HID 413c:3010 (/dev/input/mouse1)
[ 25450.492] (II) No input driver specified, ignoring this device.
[ 25450.492] (II) This device may have been added with another device file.
[ 25471.260] (II) config/udev: removing device HID 413c:3010
[ 25471.291] (II) evdev: HID 413c:3010: Close
[ 25471.291] (II) UnloadModule: "evdev"
[ 25570.954] (II) config/udev: removing device   USB Keyboard
[ 25570.966] (II) evdev:   USB Keyboard: Close
[ 25570.966] (II) UnloadModule: "evdev"
[ 25570.975] (II) config/udev: removing device   USB Keyboard
[ 25570.979] (II) evdev:   USB Keyboard: Close
[ 25570.979] (II) UnloadModule: "evdev"
[ 25572.382] (II) config/udev: Adding input device   USB Keyboard (/dev/input/event14)
[ 25572.382] (**)   USB Keyboard: Applying InputClass "evdev keyboard catchall"
[ 25572.382] (II) Using input driver 'evdev' for '  USB Keyboard'
[ 25572.382] (**)   USB Keyboard: always reports core events
[ 25572.382] (**) evdev:   USB Keyboard: Device: "/dev/input/event14"
[ 25572.383] (--) evdev:   USB Keyboard: Vendor 0x4d9 Product 0x1603
[ 25572.383] (--) evdev:   USB Keyboard: Found keys
[ 25572.383] (II) evdev:   USB Keyboard: Configuring as keyboard
[ 25572.383] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.1/input/input20/event14"
[ 25572.383] (II) XINPUT: Adding extended input device "  USB Keyboard" (type: KEYBOARD, id 15)
[ 25572.383] (**) Option "xkb_rules" "evdev"
[ 25572.383] (**) Option "xkb_model" "pc104"
[ 25572.383] (**) Option "xkb_layout" "us"
[ 25572.392] (II) config/udev: Adding input device   USB Keyboard (/dev/input/event13)
[ 25572.392] (**)   USB Keyboard: Applying InputClass "evdev keyboard catchall"
[ 25572.392] (II) Using input driver 'evdev' for '  USB Keyboard'
[ 25572.392] (**)   USB Keyboard: always reports core events
[ 25572.392] (**) evdev:   USB Keyboard: Device: "/dev/input/event13"
[ 25572.392] (--) evdev:   USB Keyboard: Vendor 0x4d9 Product 0x1603
[ 25572.392] (--) evdev:   USB Keyboard: Found keys
[ 25572.392] (II) evdev:   USB Keyboard: Configuring as keyboard
[ 25572.392] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input19/event13"
[ 25572.609] (II) XINPUT: Adding extended input device "  USB Keyboard" (type: KEYBOARD, id 16)
[ 25572.609] (**) Option "xkb_rules" "evdev"
[ 25572.609] (**) Option "xkb_model" "pc104"
[ 25572.609] (**) Option "xkb_layout" "us"
[ 25710.287] (II) config/udev: Adding input device HID 413c:3010 (/dev/input/mouse1)
[ 25710.287] (II) No input driver specified, ignoring this device.
[ 25710.287] (II) This device may have been added with another device file.
[ 25710.288] (II) config/udev: Adding input device HID 413c:3010 (/dev/input/event15)
[ 25710.288] (**) HID 413c:3010: Applying InputClass "evdev pointer catchall"
[ 25710.289] (II) Using input driver 'evdev' for 'HID 413c:3010'
[ 25710.289] (**) HID 413c:3010: always reports core events
[ 25710.289] (**) evdev: HID 413c:3010: Device: "/dev/input/event15"
[ 25710.289] (--) evdev: HID 413c:3010: Vendor 0x413c Product 0x3010
[ 25710.289] (--) evdev: HID 413c:3010: Found 3 mouse buttons
[ 25710.289] (--) evdev: HID 413c:3010: Found scroll wheel(s)
[ 25710.289] (--) evdev: HID 413c:3010: Found relative axes
[ 25710.289] (--) evdev: HID 413c:3010: Found x and y relative axes
[ 25710.289] (II) evdev: HID 413c:3010: Configuring as mouse
[ 25710.289] (II) evdev: HID 413c:3010: Adding scrollwheel support
[ 25710.289] (**) evdev: HID 413c:3010: YAxisMapping: buttons 4 and 5
[ 25710.289] (**) evdev: HID 413c:3010: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 25710.289] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/input/input21/event15"
[ 25710.289] (II) XINPUT: Adding extended input device "HID 413c:3010" (type: MOUSE, id 17)
[ 25710.290] (II) evdev: HID 413c:3010: initialized for relative axes.
[ 25710.291] (**) HID 413c:3010: (accel) keeping acceleration scheme 1
[ 25710.291] (**) HID 413c:3010: (accel) acceleration profile 0
[ 25710.291] (**) HID 413c:3010: (accel) acceleration factor: 2.000
[ 25710.291] (**) HID 413c:3010: (accel) acceleration threshold: 4
[ 25817.968] (II) config/udev: removing device HID 413c:3010
[ 25817.991] (II) evdev: HID 413c:3010: Close
[ 25817.992] (II) UnloadModule: "evdev"
[ 26273.321] (II) config/udev: Adding input device HID 413c:3010 (/dev/input/mouse1)
[ 26273.321] (II) No input driver specified, ignoring this device.
[ 26273.321] (II) This device may have been added with another device file.
[ 26273.330] (II) config/udev: Adding input device HID 413c:3010 (/dev/input/event15)
[ 26273.330] (**) HID 413c:3010: Applying InputClass "evdev pointer catchall"
[ 26273.330] (II) Using input driver 'evdev' for 'HID 413c:3010'
[ 26273.330] (**) HID 413c:3010: always reports core events
[ 26273.330] (**) evdev: HID 413c:3010: Device: "/dev/input/event15"
[ 26273.330] (--) evdev: HID 413c:3010: Vendor 0x413c Product 0x3010
[ 26273.330] (--) evdev: HID 413c:3010: Found 3 mouse buttons
[ 26273.330] (--) evdev: HID 413c:3010: Found scroll wheel(s)
[ 26273.330] (--) evdev: HID 413c:3010: Found relative axes
[ 26273.330] (--) evdev: HID 413c:3010: Found x and y relative axes
[ 26273.331] (II) evdev: HID 413c:3010: Configuring as mouse
[ 26273.331] (II) evdev: HID 413c:3010: Adding scrollwheel support
[ 26273.331] (**) evdev: HID 413c:3010: YAxisMapping: buttons 4 and 5
[ 26273.331] (**) evdev: HID 413c:3010: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 26273.331] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.1/usb3/3-2/3-2:1.0/input/input22/event15"
[ 26273.331] (II) XINPUT: Adding extended input device "HID 413c:3010" (type: MOUSE, id 17)
[ 26273.331] (II) evdev: HID 413c:3010: initialized for relative axes.
[ 26273.333] (**) HID 413c:3010: (accel) keeping acceleration scheme 1
[ 26273.333] (**) HID 413c:3010: (accel) acceleration profile 0
[ 26273.333] (**) HID 413c:3010: (accel) acceleration factor: 2.000
[ 26273.333] (**) HID 413c:3010: (accel) acceleration threshold: 4
[ 27547.268] (II) config/udev: removing device   USB Keyboard
[ 27547.287] (II) evdev:   USB Keyboard: Close
[ 27547.288] (II) UnloadModule: "evdev"
[ 27547.290] (II) config/udev: removing device   USB Keyboard
[ 27547.294] (II) evdev:   USB Keyboard: Close
[ 27547.295] (II) UnloadModule: "evdev"

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#677173; Package xserver-xorg-input-evdev. (Sat, 01 Sep 2012 21:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 01 Sep 2012 21:48:03 GMT) Full text and rfc822 format available.

Message #190 received at 677173@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 677173@bugs.debian.org
Subject: Re: Bug#677173: keyboard switched to slowkeys mode today for me as well
Date: Sat, 1 Sep 2012 23:44:08 +0200
On 2012-08-06 16:46:40 -0400, Daniel Kahn Gillmor wrote:
> My X11 session switched to slowkeys mode today without my having held
> the shift key down for 10 consecutive seconds, as far as i know.

Same for me. The system suddenly switched to SlowKeys while I didn't
even touch the Shift key!

Note: It sometimes happens that I unintentionally hold the Shift key
for 8+ seconds (e.g. because I intend to type PageUp or PageDown, but
don't do it immediately). In such a case, a message is written to the
/var/log/Xorg.0.log file. But here, nothing was written!

Here are the last messages in the /var/log/Xorg.0.log file:

[778009.172] (II) XKB SlowKeys are now enabled. Hold shift to disable.
[870684.606] (II) XKB SlowKeys are disabled.
[870684.620] (II) XKB SlowKeys are now enabled. Hold shift to disable.
[870793.988] (II) XKB SlowKeys are now enabled. Hold shift to disable.
[870793.988] (II) XKB SlowKeys are disabled.
[970681.038] (II) XKB SlowKeys are disabled.
[970681.101] (II) XKB SlowKeys are now enabled. Hold shift to disable.
[970710.197] (II) XKB SlowKeys are now enabled. Hold shift to disable.
[970710.198] (II) XKB SlowKeys are disabled.
[970782.228] (II) config/udev: removing device  USB OPTICAL MOUSE
[970782.519] (II) evdev:  USB OPTICAL MOUSE: Close
[970782.641] (II) UnloadModule: "evdev"
[970783.017] (II) config/udev: Adding input device  USB OPTICAL MOUSE (/dev/input/mouse0)
[970783.056] (II) No input driver specified, ignoring this device.
[970783.056] (II) This device may have been added with another device file.
[970783.056] (II) config/udev: Adding input device  USB OPTICAL MOUSE (/dev/input/event3)
[970783.056] (**)  USB OPTICAL MOUSE: Applying InputClass "evdev pointer catchall"
[970783.056] (II) Using input driver 'evdev' for ' USB OPTICAL MOUSE'
[970783.056]    Option "XkbRules" "evdev"
[970783.056]    Option "XkbModel" "evdev"
[970783.056]    Option "XkbLayout" "us"
[970783.056]    Option "_source" "server/udev"
[970783.056]    Option "name" " USB OPTICAL MOUSE"
[970783.056]    Option "path" "/dev/input/event3"
[970783.056]    Option "device" "/dev/input/event3"
[970783.056]    Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.3/8-3.3:1.0/input/input19/event3"
[970783.056]    Option "driver" "evdev"
[970783.056] (**)  USB OPTICAL MOUSE: always reports core events
[970783.056] (**) evdev:  USB OPTICAL MOUSE: Device: "/dev/input/event3"
[970783.057] (--) evdev:  USB OPTICAL MOUSE: Vendor 0x15d9 Product 0xa4c
[970783.057] (--) evdev:  USB OPTICAL MOUSE: Found 3 mouse buttons
[970783.057] (--) evdev:  USB OPTICAL MOUSE: Found scroll wheel(s)
[970783.057] (--) evdev:  USB OPTICAL MOUSE: Found relative axes
[970783.057] (--) evdev:  USB OPTICAL MOUSE: Found x and y relative axes
[970783.057] (II) evdev:  USB OPTICAL MOUSE: Configuring as mouse
[970783.057] (II) evdev:  USB OPTICAL MOUSE: Adding scrollwheel support
[970783.057] (**) evdev:  USB OPTICAL MOUSE: YAxisMapping: buttons 4 and 5
[970783.057] (**) evdev:  USB OPTICAL MOUSE: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[970783.057] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1d.7/usb8/8-3/8-3.3/8-3.3:1.0/input/input19/event3"
[970783.057] (II) XINPUT: Adding extended input device " USB OPTICAL MOUSE" (type: MOUSE, id 12)
[970783.057] (II) evdev:  USB OPTICAL MOUSE: initialized for relative axes.
[970783.057] (**)  USB OPTICAL MOUSE: (accel) keeping acceleration scheme 1
[970783.057] (**)  USB OPTICAL MOUSE: (accel) acceleration profile 0
[970783.057] (**)  USB OPTICAL MOUSE: (accel) acceleration factor: 2.000
[970783.057] (**)  USB OPTICAL MOUSE: (accel) acceleration threshold: 4
[992084.496] (II) XKB SlowKeys are disabled.
[992084.515] (II) XKB SlowKeys are disabled.

SlowKeys got enabled for no reasons around 992000. I could disable it
by holding Shift for 8+ seconds.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:01:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.